
* {
	font-size: 1vw;
}

body {
	/*background-color: #1050a0;*/
	background-color: #ffffff;
	color: yellow;
	font-family: verdana, arial;
	padding-top: 0px;
	margin-top: 0;
	margin-left: 0;
	margin-right: 0;
	margin-bottom: 0;
}
div#tblock_container {
	/*display: none;*/
}

.logo {
	position: relative;
	width: 100%;
	max-width: 100px;
	height: 100%;

	/* Добавьте эти свойства для центрирования */
	display: flex;
	justify-content: center;
	align-items: center;
	margin: 0 auto;
}


@media (max-width: 768px) {
	.logo {
		max-width: 70px;
	}
}

.kiss_n_cry table {
	border: 3px solid #000080;
	border-radius: 0.4em;
	border-spacing: 1px;
	background-color: #004080;
	color: #ffe040;
	box-shadow: 0.4em 0.4em 1em #001020;
	/*text-shadow: -1px 0 #601000, 0 1px #601000, 1px 0 #601000, 0 -1px #601000, 2px 2px 4px black;*/
	text-shadow: 0.08em 0.12em 0.2em #000000;
}
.kiss_n_cry td, .kiss_n_cry th {
	font-family: verdana, arial;
	background-color: #1050a0;
	border: 1px solid #2020b0;
	border-radius: 0.3em;
	padding: 0.1em 0.4em;
}

#tbl_current_places {
	font-size: 0.8em;
}

#tbl_current_points {
}
#tbl_current_points td {
	font-size: 130%;
	font-weight: normal;
	line-height: 95%;
}
#tbl_current_points .t1 {
	font-weight: normal;
	font-size: 80%;
}
#tbl_current_points .t2 {
	font-weight: normal;
	font-size: 75%;
	color: #c0a020;
}

#tbl_current_marks {
	margin-top: 0.5em;
}
#tbl_current_marks td {
	font-size: 130%;
	font-weight: normal;
}
#tblock_tech_details * {
	font-size: 1.0vw;
}
#tbl_current_details {
	margin-top: 0.5em;
}
#tbl_current_details th {
}
#tbl_current_details td {
	font-weight: normal;
	line-height: 125%;
}
#tbl_current_details td span {
	font-size: 130%;
}


#tbl_current_details tr.err td, span.err {
	color: #ff3030;
}

tr.green td {
	color: #30ff30;
}

.cur_row td {
	background-color: #000080;
}

table.tres .c2 {
	width: 30em;
}
table.tres .c4 {
	font-weight: bold;
}
table.tres .select td {
	border: 3px solid red;
}

div.btn_act {
	border: 2px solid #2020b0;
	border-radius: 5px;
	/*background-color: #e0e0ff;
    color: #000000;*/
}

.hand_over:hover {
	cursor: pointer;
}


/*fon*/
body {
	margin: 0;
	height: 100vh; /* Высота на весь экран */
	/*background-image: url('/upload/BigScreen/ScreenResultTable.png');*/
	/*background-image: url('/upload/BigScreen/ScreenResult.png');*/
	background-size: cover; /* Масштабирование изображения для заполнения экрана */
	background-position: center; /* Центрирование изображения */
	background-repeat: no-repeat; /* Избегаем повторения изображения */
}

.content {
	position: relative; /* Устанавливаем контент на одно уровне */
	z-index: 1; /* Повышаем уровень контента над задним фоном */
	color: white; /* Цвет текста, чтобы контент был видим на фоне */
	padding: 20px; /* Отступы вокруг контента */
}
/*fon*/

#leftup-corner-img {
	display: none;
}
#rightup-corner-img {
	display: none;
}


/* стилизация таблички */
/*NEW*/
#sportsmenScore {
	font-family: Century Gothic;
	display: block;
	justify-content: center;
	margin-top: 20px;
}

#sportsmenScore table {
	width: 100%;
	border-collapse: collapse;
}

#sportsmenScore tbody::before {
	content: "";
	display: table-row;
	height: 10px;
}

#sportsmenScore th, #sportsmenScore td {
	padding: 10px;
	border: 1px solid #1e1cd8;
	font-size: 30px;
	font-weight: 900 !important;
}

#sportsmenScore th {
	background-color: rgb(123 135 255);
	position: relative;
	color: white;
	border: none;
	padding: 10px;
	z-index: 1;
}

#sportsmenScore th::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: #fc4d8e;
	border-radius: 22px;
	z-index: -1;
	margin-left: 5px;
	margin-right: 5px;
}


.flag {
	width: 40px;
	height: auto;
}

.group-badge {
	background-color: #fc4d8e;
	color: white;
	padding: 16px 20px 16px 20px;
	font-size: 25px;
	border-radius: 34px;
	margin-right: 10px;
	font-weight: 1000;
	margin-bottom: 15px;
	line-height: 24px;
	float: left;
}
/*NEW*/
.name_group {
	background-color: rgba(0, 0, 139, 0.8); /* Полупрозрачный тёмно-синий фон */
	padding: 10px;
	border-radius: 10px;
	text-align: center; /* Центрирование текста */
	color: white; /* Белый цвет текста */
	font-size: 20px; /* Размер шрифта */
	width: 100%; /* Растягиваем блок на всю ширину */
	margin-bottom: 10px; /* Отступ внизу перед таблицей */
	clip-path: polygon(0 0, 100% 0, 98% 82%, 0 100%);
}


#sportsmenScore {
	/*background-color: rgba(0, 0, 139, 0.8);*/ /* Полупрозрачный тёмно-синий фон */
	padding: 5% 10% 0% 10%;
	border-radius: 10px;
	text-align: center; /* Центрирование содержимого */
	color: white; /* Белый цвет текста */
	font-size: 20px;
	width: 100%; /* Растягиваем блок на всю ширину */
	margin-bottom: 20px; /* Отступ внизу */
	/*position: relative; */ /* Для центрирования */
	/*margin-top: 20px;*/ /* Отступ от верхнего края */
	/*left: 40%;*/ /* Смещаем блок на 50% от левого края */
	/*transform: translateX(-50%); */ /* Сдвигаем блок влево на половину его ширины для центрирования */
}



#sportsmenScore tr {
	background-color: #faf9ff;
	color: #0e0f79;
	margin-bottom: 10px; /* Отступ между строками */
	border-radius: 10px;
	overflow: hidden;
	/*clip-path: polygon(0 0, 100% 0, 98% 82%, 0 100%);*/
}

#sportsmenScore tr.header-row {
	background-color: rgba(0, 0, 100, 0.8); /* Немного более тёмный оттенок для первой строки */
	text-align: center; /* Центрирование текста в первой строке */
}

#sportsmenScore tr.header-row td {
	padding: 15px; /* Большие отступы для первой строки */
}

#sportsmenScore td {
	width: auto;
	padding: 10px;
}
.hidden {
	display: none;
}
#sportsmenScore tr:nth-child(n+6) {
	/*display: none; */ /* Скрытие всех строк, начиная с 12-й */
}
#sportsmenScore tr:nth-child(n+1) td:first-child {
	font-weight: 100;
}
/*#sportsmenScore td:nth-child(11),
#sportsmenScore th:nth-child(11) {
	display: none;*/ /* Скрыть 11-й столбец */
/*}*/


#leftup-corner-img {
	position: fixed;
	top: 9%;
	left: 91px;
	width: 68%;
	height: auto;
	z-index: 1000;
}
#centerup-corner-img {
	position: fixed;
	top: 5%; /* Отступ от нижнего края */
	right: 41%;  /* Отступ от левого края */
	width: 15%;  /* Задайте нужный размер изображения */
	height: auto;
	z-index: 1000; /* Убедитесь, что изображение находится на переднем плане */
}
#rightup-corner-img {
	position: fixed;
	top: 4%; /* Отступ от нижнего края */
	right: 10px;   /* Отступ от левого края */
	width: 15%;  /* Задайте нужный размер изображения */
	height: auto;
	z-index: 1000; /* Убедитесь, что изображение находится на переднем плане */
}

/* стилизация таблички */

.table-judge-div img {
	max-width: 150px;
	width: 10%;
	border: solid 1px #dedede;
	padding: 3px;
	/*height: 10%;*/
	right: 50%;  /* Отступ от правого края */
	left: 50%;   /* Отступ от левого края */
	bottom: 100%; /* Отступ от нижнего края */
}

#left-corner-img {
	position: fixed;
	bottom: 10px; /* Отступ от нижнего края */
	left: 10px;   /* Отступ от левого края */
	width: 20%;  /* Задайте нужный размер изображения */
	height: auto;
	z-index: 1000; /* Убедитесь, что изображение находится на переднем плане */
}

#right-corner-img {
	position: fixed;
	bottom: 10px; /* Отступ от нижнего края */
	right: 10px;  /* Отступ от правого края */
	width: 20%;  /* Задайте нужный размер изображения */
	height: auto;
	z-index: 1000; /* Убедитесь, что изображение находится на переднем плане */
}


/* For judge */
.profile__data.try {
	background: rgb(39 142 42 / 0%) !important;
}
.header-block {
	display: none;
}
.breadcrumbs {
	display: none;
}
.footer {
	display: none;
}
.sportsmenScore {
	font-weight: bold;
	/*line-height: 20px;*/
	width: 100%;
	position: fixed;
	left: 0;
	/*bottom: 50%;*/
	bottom: auto;
	text-align: center;
	font-size: 18px;
}


td.profile-form__label.klv *{box-sizing:border-box;outline: 0;font-family: Consolas;}
.profile__data .profile-form__text {
	border-bottom: none !important;
}
.profile__data-wrapper {
	border-bottom: 0px solid #E6E6E6 !important;
}
#klava {
	display: none;
}
#enter {
	width: 100%;
	background-color: #edeef0;
	padding: 5px 0px 5px 0px;
	position: fixed;
	left: 0;
	bottom: 198px;
	text-align: center;
}
#enter button {
	width: 100px;
	height: 50px;
	background-color: #fff;
	border: none;
	text-align: center;
	margin: 4px;
	cursor: pointer;
	border-radius: 8px;
	box-shadow: 0px 1px 2px 0px rgba(0,0,0,0.75);
}
#klava button {
	width: 100px;
	height: 40px;
	background-color: #fff;
	border: none;
	text-align: center;
	margin: 4px;
	cursor: pointer;
	border-radius: 8px;
	box-shadow: 0px 1px 2px 0px rgba(0,0,0,0.75);
}
#enter .enterscore {
	background-color: #f54242;
	color: #fff;
}
#klava .back-sp {
	background-color: #4286f5;
	color: #fff;
}
#input_data {
	background-color: #ffffeb;
	border: 1px solid #c9c9c9;
	padding: 5px;
	border-radius: 4px;
}
#klava button, #input_data {
	font-size: 30px;
	line-height: 30px;
}
#input_data {
	width: 320px;
}
#klava button:active {
	background-color: #FFB74D;
}
#enter button:active {
	background-color: #FFB74D;
}

/**/

.profile-block-hidden
{
	display: none;
}

.profile-block-shown
{
	display:block;
}

.profile-table
{
	width: 100%;
}

.profile-link
{
	margin-top: 5px;
	margin-bottom: 5px;
	padding-top: 5px;
	padding-bottom: 5px;
	font-weight: bold;
}

.profile-table td {
	vertical-align: top;
	width:50%;
}
.nextsportsmen {
	color: #b3b3b3;
}
#idSportsmen {
	font-size: 15px;
	line-height: 15px;
}
.section-title {
	font-size: 18px !important;
}
input#input_data {
	/*width: 100%;*/
	padding: 5px 0px 5px 0px;
	position: fixed;
	transform: translate(-50%,-50%);
	left: 50%;
	/*left: 0;*/
	bottom: 242px;
	text-align: center;
}



div.bx-auth-profile input.bx-auth-input {vertical-align:middle;}
div.bx-auth-profile span.bx-auth-secure {background-color:#FFFAE3; border:1px solid #DEDBC8; padding:2px; display:inline-block; vertical-align:middle;}
div.bx-auth-profile div.bx-auth-secure-icon {background-image:url(images/sec.png); background-repeat:no-repeat; background-position:center; width:19px; height:18px;}
div.bx-auth-profile div.bx-auth-secure-unlock {background-image:url(images/sec-unlocked.png);}

